Name:          json-schema-core
Version:       1.2.5
Release:       1%{?dist}
Summary:       Core support architecture for json-schema-validator and other processors
License:       ASL 2.0 and LGPLv3+
URL:           https://github.com/fge/json-schema-core
Source0:       https://github.com/fge/json-schema-core/archive/%{version}.tar.gz
Source1:       http://repo1.maven.org/maven2/com/github/fge/%{name}/%{version}/%{name}-%{version}.pom

BuildRequires: maven-local
BuildRequires: mvn(com.github.fge:uri-template)
BuildRequires: mvn(com.github.fge:jackson-coreutils)
BuildRequires: mvn(com.google.code.findbugs:jsr305)
BuildRequires: mvn(org.mockito:mockito-core)
BuildRequires: mvn(org.mozilla:rhino)
BuildRequires: mvn(org.testng:testng)

BuildArch:     noarch

%description
This package contains the core mechanics of json-schema-validator library.
It also provides a comprehensive infrastructure to build processing chains
for anything you can think of, really. To this effect, this package
can be used, for instance, to perform the following, provided you use the
appropriate software packages:

° generate a JSON Schema from a POJO, and then validate instances against that
  schema;
° transform different, related schema formats into JSON Schema, or the reverse
  (for instance Avro);
° conditional patching/deserialization;

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}
find -name "*.class" -delete
find -name "*.jar" -print -delete

cp -p %{SOURCE1} pom.xml
%pom_xpath_inject "pom:project" "<packaging>bundle</packaging>"
%pom_add_plugin org.apache.felix:maven-bundle-plugin . '
<extensions>true</extensions>
<configuration>
  <instructions>
    <Bundle-SymbolicName>com.github.fge.json-schema-core</Bundle-SymbolicName>
    <Bundle-Name>json-schema-core</Bundle-Name>
    <Bundle-Version>${project.version}</Bundle-Version>
    <Export-Package>com.github.fge.jsonschema;version="${project.version}"</Export-Package>
  </instructions>
</configuration>
<executions>
  <execution>
    <id>bundle-manifest</id>
    <phase>process-classes</phase>
    <goals>
      <goal>manifest</goal>
    </goals>
  </execution>
</executions>'

%if 0
# package com.fasterxml.jackson.databind does not exist
%pom_add_dep com.fasterxml.jackson.core:jackson-databind
# package com.google.common.io does not exist
%pom_add_dep com.google.guava:guava
# package com.github.fge.msgsimple.load does not exist
%pom_add_dep com.github.fge:msg-simple
%endif

%pom_remove_dep org.easytesting:fest-assert

%mvn_file :%{name} %{name}

%build
# No test dep: org.easytesting:fest-assert
%mvn_build -f -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc CONTRIBUTORS.md README.md RELEASE-NOTES.md
%license ASL-2.0.txt LGPL-3.0.txt LICENSE

%files javadoc -f .mfiles-javadoc
%license ASL-2.0.txt LGPL-3.0.txt LICENSE

%changelog
* Mon Mar 09 2015 gil cattaneo <puntogil@libero.it> 1.2.5-1
- initial rpm
